package com.qianhe.service;

import java.util.List;
import com.qianhe.domain.SjZdbfZsdwkhpj;

/**
 * 指导帮扶-直属单位考核评价Service接口
 * 
 * @author qianhe
 * @date 2024-07-24
 */
public interface ISjZdbfZsdwkhpjService 
{
    /**
     * 查询指导帮扶-直属单位考核评价
     * 
     * @param id 指导帮扶-直属单位考核评价主键
     * @return 指导帮扶-直属单位考核评价
     */
    public SjZdbfZsdwkhpj selectSjZdbfZsdwkhpjById(Long id);

    /**
     * 查询指导帮扶-直属单位考核评价列表
     * 
     * @param sjZdbfZsdwkhpj 指导帮扶-直属单位考核评价
     * @return 指导帮扶-直属单位考核评价集合
     */
    public List<SjZdbfZsdwkhpj> selectSjZdbfZsdwkhpjList(SjZdbfZsdwkhpj sjZdbfZsdwkhpj);

    /**
     * 新增指导帮扶-直属单位考核评价
     * 
     * @param sjZdbfZsdwkhpj 指导帮扶-直属单位考核评价
     * @return 结果
     */
    public int insertSjZdbfZsdwkhpj(SjZdbfZsdwkhpj sjZdbfZsdwkhpj);

    /**
     * 修改指导帮扶-直属单位考核评价
     * 
     * @param sjZdbfZsdwkhpj 指导帮扶-直属单位考核评价
     * @return 结果
     */
    public int updateSjZdbfZsdwkhpj(SjZdbfZsdwkhpj sjZdbfZsdwkhpj);

    /**
     * 批量删除指导帮扶-直属单位考核评价
     * 
     * @param ids 需要删除的指导帮扶-直属单位考核评价主键集合
     * @return 结果
     */
    public int deleteSjZdbfZsdwkhpjByIds(Long[] ids);

    /**
     * 删除指导帮扶-直属单位考核评价信息
     * 
     * @param id 指导帮扶-直属单位考核评价主键
     * @return 结果
     */
    public int deleteSjZdbfZsdwkhpjById(Long id);

    int batchSave(List<SjZdbfZsdwkhpj> addList);

    int pledit(List<SjZdbfZsdwkhpj> list);

}
